Skip to main content
Back to API List To provide the number of users who have interacted with the bot in a given period across different time intervals.
FieldValue
MethodPOST
Endpointhttps://{{host}}/api/public/bot/{{BotID}}/userEngagementTrend?aggregation_type={{type}}&start_date={{from}}&end_date={{to}}&channels={{channel}}
Content Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token.
API ScopeApp Builder: User Engagement Trend; Admin Console: Not Applicable

Path Parameters

ParameterRequiredDescription
hostRequiredEnvironment URL, for example, https://platform.kore.ai
BotIDRequiredBot ID or Stream ID. You can access it from the General Settings page of the bot.

Sample Request

curl -X POST \
  'https://{{host}}/api/public/bot/{{bot_id}}/userEngagementTrend?aggregation_type=Hourly&start_date=2020-09-01&end_date=2020-09-05&channels=rtm' \
  -H 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \
  -H 'content-type: application/json'

Body Parameters

ParameterRequiredTypeDescription
filtersRequiredObject with the following details to filter the result set.
start_dateRequiredDateRefers to the start time of the period to be considered.
end_dateRequiredDateRefers to the end time of the period to be considered.
channelOptionalStringRefers to the channel from which the interactions have happened.
aggregation_typeOptionalStringRefers to the type of aggregation: Hourly (default) or Daily.

Sample Response

When aggregation_type = Daily:
{
  "results":[
     { "date": "MMM DD YYYY",
       "users": "number of users"
      },
     { "date": "MMM DD YYYY",
       "users": "number of users"
      }
  ],
  "totalResults": 2
}
When aggregation_type = Hourly or empty or not given:
{
  "results": [
    {
      "date":"Aug 06 2020",
      "0 - 1": 20,
      "1 - 2": 0,
      "2 - 3": 0,
      "3 - 4": 10,
      "23 - 0": 0
    },
    {
      "date":"Aug 07 2020",
      "0 - 1": 20,
      "23 - 0": 0
    }
  ],
  "totalResults": 2
}